//  ofxiOSAlertView.h


#import <UIKit/UIKit.h>
#import "ofMain.h"
#include <iostream>


#pragma mark - base
class ofxiOSAlertViewBase {};


//---------------------------------------------------------------------
#pragma mark - objective-c code

@interface ofxiOSAlertViewCore : NSObject
{
    ofxiOSAlertViewBase * _alertViewBase;
}

- (id)initWithSet:(ofxiOSAlertViewBase *) alertViewBase;
- (void)appear:(NSString *)title message:(NSString *)message cancelButtonTitle:(NSString *)btnName;

@end




//---------------------------------------------------------------------
#pragma mark - c++ code

class ofxiOSAlertView : public ofxiOSAlertViewBase
{
    
public:
    ofxiOSAlertView();
    void appear(string title, string message, string btnName);
    
    ofxiOSAlertViewCore * _core;
    
};