//ofxiOSAlertView.mm


#import "ofxiOSAlertView.h"

//---------------------------------------------------------------------
#pragma mark - c++ code

ofxiOSAlertView::ofxiOSAlertView()
{
    _core = [[ofxiOSAlertViewCore alloc] initWithSet:this];
    
}

void ofxiOSAlertView::appear(string title, string message, string btnName)
{
    [_core appear:[NSString stringWithUTF8String:title.c_str()] 
          message:[NSString stringWithUTF8String:message.c_str()] 
cancelButtonTitle:[NSString stringWithUTF8String:btnName.c_str()]];
}





//---------------------------------------------------------------------
#pragma mark - objective-c code

@implementation ofxiOSAlertViewCore


- (id)initWithSet:(ofxiOSAlertViewBase *)alertViewBase
{
    if (self == [super init])
    {
        _alertViewBase = alertViewBase;
    }
    
    return self;
}


// alert appear
- (void)appear:(NSString *)title message:(NSString *)message cancelButtonTitle:(NSString *)btnName
{
    UIAlertView * _alert = [[UIAlertView alloc] initWithTitle:title 
                                                      message:message 
                                                     delegate:nil 
                                            cancelButtonTitle:btnName
                                            otherButtonTitles:nil];
	[_alert show];
    [_alert release];
    
}




@end